Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Interface StoryReporter

All Known Implementing Classes:
  ANSIConsoleOutput, ConcurrentStoryReporter, ConsoleOutput, DelegatingStoryReporter, HtmlOutput, HtmlTemplateOutput, IdeOnlyConsoleOutput, NullStoryReporter, PostStoryStatisticsCollector, PrintStreamOutput, SilentSuccessFilter, StepFailureDecorator, TemplateableOutput, TxtOutput, XmlOutput, XmlTemplateOuput, XmlTemplateOutput

    public interface StoryReporter

Allows the runner to report the state of running stories

Author:
  Elizabeth Keogh, Mauro Talevi

Method Summary
`void` | `afterExamples()`
`void` | `afterScenario()`
`void` | `afterStory(boolean givenStory)`
`void` | `beforeExamples(List<String> steps, ExamplesTable table)`
`void` | `beforeScenario(String scenarioTitle)`
`void` | `beforeStep(String step)`
`void` | `beforeStory(Story story, boolean givenStory)`
`void` | `dryRun()`
`void` | `example(Map<String,String> tableRow)`
`void` | `failed(String step, Throwable cause)`
`void` | `failedOutcomes(String step, OutcomesTable table)`
`void` | `givenStories(GivenStories givenStories)`
`void` | `givenStories(List<String> storyPaths)`
`void` | `ignorable(String step)`
`void` | `narrative(Narrative narrative)`
`void` | `notPerformed(String step)`
`void` | `pending(String step)`
`void` | `pendingMethods(List<String> methods)`
`void` | `restarted(String step, Throwable cause)`
`void` | `scenarioMeta(Meta meta)`
`void` | `scenarioNotAllowed(Scenario scenario, String filter)`
`void` | `storyCancelled(Story story, StoryDuration storyDuration)`
`void` | `storyNotAllowed(Story story, String filter)`
`void` | `successful(String step)`

Method Detail

### storyNotAllowed

    void storyNotAllowed(Story story,
                         String filter)

### storyCancelled

    void storyCancelled(Story story,
                        StoryDuration storyDuration)

### beforeStory

    void beforeStory(Story story,
                     boolean givenStory)

### afterStory

    void afterStory(boolean givenStory)

### narrative

    void narrative(Narrative narrative)

### scenarioNotAllowed

    void scenarioNotAllowed(Scenario scenario,
                            String filter)

### beforeScenario

    void beforeScenario(String scenarioTitle)

### scenarioMeta

    void scenarioMeta(Meta meta)

### afterScenario

    void afterScenario()

### givenStories

    void givenStories(GivenStories givenStories)

### givenStories

    void givenStories(List<String> storyPaths)

### beforeExamples

    void beforeExamples(List<String> steps,
                        ExamplesTable table)

### example

    void example(Map<String,String> tableRow)

### afterExamples

    void afterExamples()

### beforeStep

    void beforeStep(String step)

### successful

    void successful(String step)

### ignorable

    void ignorable(String step)

### pending

    void pending(String step)

### notPerformed

    void notPerformed(String step)

### failed

    void failed(String step,
                Throwable cause)

### failedOutcomes

    void failedOutcomes(String step,
                        OutcomesTable table)

### restarted

    void restarted(String step,
                   Throwable cause)

### dryRun

    void dryRun()

### pendingMethods

    void pendingMethods(List<String> methods)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.